﻿open Microsoft.FSharp.Data.TypeProviders

type Netflix = ODataService<"http://odata.netflix.com/v2/Catalog/">

let db = Netflix.GetDataContext()
db.DataContext.SendingRequest.Add (fun eventArgs -> printfn "Query URL: %A" eventArgs.Request.RequestUri)

let vampireMovies = 
    query {
        for movie in db.Titles do
        where (movie.Name.Contains("vampire"))
        sortByDescending (movie.ReleaseYear.Value)
        take 10
        select movie }

vampireMovies |>
Seq.iter (fun movie ->
    printfn "Movie found: %s, released %d" movie.Name movie.ReleaseYear.Value)

